path: /build/build/xdg-desktop-portal-sys-apps-1.8.0+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -geolocation -test screencast" emerge sys-apps/xdg-desktop-portal -pv -t && \
    USE="-doc -geolocation -test screencast" emerge -j ${JOBS} --nodeps sys-apps/xdg-desktop-portal
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/xdg-desktop-portal && luet-portage --dir
    /pkgdir/xdg-desktop-portal sys-apps/xdg-desktop-portal && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:4c5ac5d54df3db55d3ba2f4958882695546004981c101041d8bbc786138a4240
  package:
    name: xdg-desktop-portal
    version: 1.8.0+1
    category: sys-apps
    use_flags:
    - -doc
    - -geolocation
    - -test
    - screencast
    requires:
    - name: macaroni-funtoo-race18
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A portal frontend service for Flatpak and possibly other containment
      frameworks
    uri:
    - http://flatpak.org/
    license: LGPL-2.1
    buildtimestamp: 2023-10-12 22:29:09.056867755 +0000 UTC m=+136.156428036
    labels:
      BDEPEND: virtual/pkgconfig
      DEPEND: dev-libs/json-glib dev-libs/glib:2[dbus] media-libs/fontconfig sys-fs/fuse:0
        geolocation? ( >=app-misc/geoclue-2.5.2:2.0 ) screencast? ( >=media-video/pipewire-0.2.90
        ) test? ( sys-libs/libportal ) >=sys-devel/gettext-0.18.3 virtual/pkgconfig
        doc? ( app-text/xmlto app-text/docbook-xml-dtd:4.3 )
      IUSE: doc geolocation screencast test
      RDEPEND: dev-libs/json-glib dev-libs/glib:2[dbus] media-libs/fontconfig sys-fs/fuse:0
        geolocation? ( >=app-misc/geoclue-2.5.2:2.0 ) screencast? ( >=media-video/pipewire-0.2.90
        ) test? ( sys-libs/libportal )
      emerge.packages: sys-apps/xdg-desktop-portal
      kit: core-kit
      original.package.name: sys-apps/xdg-desktop-portal
      original.package.slot: "0"
      original.package.version: 1.8.0
    treedir: /build/packages
  package_dir: /pkgdir/xdg-desktop-portal
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 4b300b793070553bb2ca3742bd30943e74b35d12da95a73547ae9b447be5d997
compressiontype: zstd
files:
- usr/lib/systemd/user/xdg-desktop-portal.service
- usr/lib/systemd/user/xdg-document-portal.service
- usr/lib/systemd/user/xdg-permission-store.service
- usr/libexec/xdg-desktop-portal
- usr/libexec/xdg-document-portal
- usr/libexec/xdg-permission-store
- usr/share/dbus-1/interfaces/org.freedesktop.impl.portal.Access.xml
- usr/share/dbus-1/interfaces/org.freedesktop.impl.portal.Account.xml
- usr/share/dbus-1/interfaces/org.freedesktop.impl.portal.AppChooser.xml
- usr/share/dbus-1/interfaces/org.freedesktop.impl.portal.Background.xml
- usr/share/dbus-1/interfaces/org.freedesktop.impl.portal.Email.xml
- usr/share/dbus-1/interfaces/org.freedesktop.impl.portal.FileChooser.xml
- usr/share/dbus-1/interfaces/org.freedesktop.impl.portal.Inhibit.xml
- usr/share/dbus-1/interfaces/org.freedesktop.impl.portal.Lockdown.xml
- usr/share/dbus-1/interfaces/org.freedesktop.impl.portal.Notification.xml
- usr/share/dbus-1/interfaces/org.freedesktop.impl.portal.PermissionStore.xml
- usr/share/dbus-1/interfaces/org.freedesktop.impl.portal.Print.xml
- usr/share/dbus-1/interfaces/org.freedesktop.impl.portal.RemoteDesktop.xml
- usr/share/dbus-1/interfaces/org.freedesktop.impl.portal.Request.xml
- usr/share/dbus-1/interfaces/org.freedesktop.impl.portal.ScreenCast.xml
- usr/share/dbus-1/interfaces/org.freedesktop.impl.portal.Screenshot.xml
- usr/share/dbus-1/interfaces/org.freedesktop.impl.portal.Secret.xml
- usr/share/dbus-1/interfaces/org.freedesktop.impl.portal.Session.xml
- usr/share/dbus-1/interfaces/org.freedesktop.impl.portal.Settings.xml
- usr/share/dbus-1/interfaces/org.freedesktop.impl.portal.Wallpaper.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.Account.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.Background.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.Camera.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.Device.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.Documents.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.Email.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.FileChooser.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.FileTransfer.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.GameMode.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.Inhibit.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.Location.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.MemoryMonitor.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.NetworkMonitor.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.Notification.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.OpenURI.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.Print.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.ProxyResolver.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.RemoteDesktop.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.Request.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.ScreenCast.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.Screenshot.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.Secret.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.Session.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.Settings.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.Trash.xml
- usr/share/dbus-1/interfaces/org.freedesktop.portal.Wallpaper.xml
- usr/share/dbus-1/services/org.freedesktop.impl.portal.PermissionStore.service
- usr/share/dbus-1/services/org.freedesktop.portal.Desktop.service
- usr/share/dbus-1/services/org.freedesktop.portal.Documents.service
- usr/share/doc/xdg-desktop-portal-1.8.0/NEWS.bz2
- usr/share/doc/xdg-desktop-portal-1.8.0/README.md.bz2
- usr/share/locale/cs/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/da/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/de/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/en_GB/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/es/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/fr/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/gl/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/hr/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/hu/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/id/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/it/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/lt/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/pl/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/pt_BR/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/ru/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/sk/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/sr/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/sv/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/tr/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/uk/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/zh_CN/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/locale/zh_TW/LC_MESSAGES/xdg-desktop-portal.mo
- usr/share/pkgconfig/xdg-desktop-portal.pc
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/BDEPEND
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/BUILD_TIME
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/CATEGORY
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/CBUILD
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/CFLAGS
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/CHOST
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/CONTENTS
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/COUNTER
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/CXXFLAGS
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/DEFINED_PHASES
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/DEPEND
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/DESCRIPTION
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/EAPI
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/FEATURES
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/HOMEPAGE
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/INHERITED
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/IUSE
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/IUSE_EFFECTIVE
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/KEYWORDS
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/LDFLAGS
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/LICENSE
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/NEEDED
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/PF
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/RDEPEND
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/REQUIRES
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/SIZE
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/SLOT
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/USE
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/environment.bz2
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/repository
- var/db/pkg/sys-apps/xdg-desktop-portal-1.8.0/xdg-desktop-portal-1.8.0.ebuild
package_cacheimage: ""
runtime:
  name: xdg-desktop-portal
  version: 1.8.0+1
  category: sys-apps
  use_flags:
  - -doc
  - -geolocation
  - -test
  - screencast
  requires:
  - name: glib
    version: '>=0'
    category: dev-libs-2
  - name: json-glib
    version: '>=0'
    category: dev-libs
  - name: fontconfig
    version: '>=0'
    category: media-libs-1.0
  - name: pipewire
    version: '>=0'
    category: media-video
  - name: fuse
    version: '>=0'
    category: sys-fs-3
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A portal frontend service for Flatpak and possibly other containment
    frameworks
  uri:
  - http://flatpak.org/
  license: LGPL-2.1
  labels:
    BDEPEND: virtual/pkgconfig
    DEPEND: dev-libs/json-glib dev-libs/glib:2[dbus] media-libs/fontconfig sys-fs/fuse:0
      geolocation? ( >=app-misc/geoclue-2.5.2:2.0 ) screencast? ( >=media-video/pipewire-0.2.90
      ) test? ( sys-libs/libportal ) >=sys-devel/gettext-0.18.3 virtual/pkgconfig
      doc? ( app-text/xmlto app-text/docbook-xml-dtd:4.3 )
    IUSE: doc geolocation screencast test
    RDEPEND: dev-libs/json-glib dev-libs/glib:2[dbus] media-libs/fontconfig sys-fs/fuse:0
      geolocation? ( >=app-misc/geoclue-2.5.2:2.0 ) screencast? ( >=media-video/pipewire-0.2.90
      ) test? ( sys-libs/libportal )
    emerge.packages: sys-apps/xdg-desktop-portal
    kit: core-kit
    original.package.name: sys-apps/xdg-desktop-portal
    original.package.slot: "0"
    original.package.version: 1.8.0
